import { Component, OnInit, Input } from '@angular/core';

@Component({
  selector: 'app-report',
  templateUrl: './report.component.html',
  styleUrls: ['./report.component.css']
})
export class ReportComponent implements OnInit {

  constructor() { }

  @Input() report: string;
  @Input() override: string;
  @Input() display: boolean = false;
  @Input() data: any;

  render() {
    this.buildReport(false, false);
  }

  ngOnInit() {

  }

  buildReport(isPrint, isPDF) {
    var report = new Stimulsoft.Report.StiReport();

    let jsonData = "{\"ReportVersion\":\"2017.1.11\",\"ReportGuid\":\"9e836378b1806f9bc838d62bb94643fc\",\"ReportName\":\"Report\",\"ReportAlias\":\"Report\",\"ReportFile\":\"Report.mrt\",\"ReportCreated\":\"\/Date(1504812362000-0500)\/\",\"ReportChanged\":\"\/Date(1504812362000-0500)\/\",\"EngineVersion\":\"EngineV2\",\"CalculationMode\":\"Interpretation\",\"Dictionary\":{\"Resources\":{\"0\":{\"Name\":\"Image\",\"Alias\":\"Image\"}},\"DataSources\":{\"0\":{\"Ident\":\"StiDataTableSource\",\"Name\":\"root\",\"Alias\":\"root\",\"Columns\":{\"0\":{\"Name\":\"PersonId\",\"Index\":-1,\"NameInSource\":\"PersonId\",\"Alias\":\"PersonId\",\"Type\":\"System.String\"},\"1\":{\"Name\":\"BeltSize\",\"Index\":-1,\"NameInSource\":\"BeltSize\",\"Alias\":\"BeltSize\",\"Type\":\"System.Decimal\"},\"2\":{\"Name\":\"CellNumber\",\"Index\":-1,\"NameInSource\":\"CellNumber\",\"Alias\":\"CellNumber\",\"Type\":\"System.String\"},\"3\":{\"Name\":\"Company\",\"Index\":-1,\"NameInSource\":\"Company\",\"Alias\":\"Company\",\"Type\":\"System.String\"},\"4\":{\"Name\":\"CurrentMembershipMembershipId\",\"Index\":-1,\"NameInSource\":\"CurrentMembershipMembershipId\",\"Alias\":\"CurrentMembershipMembershipId\",\"Type\":\"System.String\"},\"5\":{\"Name\":\"DateOfBirth\",\"Index\":-1,\"NameInSource\":\"DateOfBirth\",\"Alias\":\"DateOfBirth\",\"Type\":\"System.String\"},\"6\":{\"Name\":\"Email\",\"Index\":-1,\"NameInSource\":\"Email\",\"Alias\":\"Email\",\"Type\":\"System.String\"},\"7\":{\"Name\":\"FirstName\",\"Index\":-1,\"NameInSource\":\"FirstName\",\"Alias\":\"FirstName\",\"Type\":\"System.String\"},\"8\":{\"Name\":\"Gender\",\"Index\":-1,\"NameInSource\":\"Gender\",\"Alias\":\"Gender\",\"Type\":\"System.String\"},\"9\":{\"Name\":\"Inactived\",\"Index\":-1,\"NameInSource\":\"Inactived\",\"Alias\":\"Inactived\",\"Type\":\"System.String\"},\"10\":{\"Name\":\"LastClass\",\"Index\":-1,\"NameInSource\":\"LastClass\",\"Alias\":\"LastClass\",\"Type\":\"System.String\"},\"11\":{\"Name\":\"LastName\",\"Index\":-1,\"NameInSource\":\"LastName\",\"Alias\":\"LastName\",\"Type\":\"System.String\"},\"12\":{\"Name\":\"PictureUrl\",\"Index\":-1,\"NameInSource\":\"PictureUrl\",\"Alias\":\"PictureUrl\",\"Type\":\"System.String\"},\"13\":{\"Name\":\"StartDate\",\"Index\":-1,\"NameInSource\":\"StartDate\",\"Alias\":\"StartDate\",\"Type\":\"System.String\"},\"14\":{\"Name\":\"StudentId\",\"Index\":-1,\"NameInSource\":\"StudentId\",\"Alias\":\"StudentId\",\"Type\":\"System.String\"},\"15\":{\"Name\":\"Title\",\"Index\":-1,\"NameInSource\":\"Title\",\"Alias\":\"Title\",\"Type\":\"System.String\"},\"16\":{\"Name\":\"LastTest_TestId\",\"Index\":-1,\"NameInSource\":\"LastTest_TestId\",\"Alias\":\"LastTest_TestId\",\"Type\":\"System.String\"},\"17\":{\"Name\":\"LastTest_ApplicationReturn\",\"Index\":-1,\"NameInSource\":\"LastTest_ApplicationReturn\",\"Alias\":\"LastTest_ApplicationReturn\",\"Type\":\"System.Boolean\"},\"18\":{\"Name\":\"LastTest_Date\",\"Index\":-1,\"NameInSource\":\"LastTest_Date\",\"Alias\":\"LastTest_Date\",\"Type\":\"System.String\"},\"19\":{\"Name\":\"LastTest_Tips_Black\",\"Index\":-1,\"NameInSource\":\"LastTest_Tips_Black\",\"Alias\":\"LastTest_Tips_Black\",\"Type\":\"System.String\"},\"20\":{\"Name\":\"LastTest_Tips_Purple\",\"Index\":-1,\"NameInSource\":\"LastTest_Tips_Purple\",\"Alias\":\"LastTest_Tips_Purple\",\"Type\":\"System.String\"},\"21\":{\"Name\":\"LastTest_Tips_Orange\",\"Index\":-1,\"NameInSource\":\"LastTest_Tips_Orange\",\"Alias\":\"LastTest_Tips_Orange\",\"Type\":\"System.String\"},\"22\":{\"Name\":\"LastTest_Tips_Green\",\"Index\":-1,\"NameInSource\":\"LastTest_Tips_Green\",\"Alias\":\"LastTest_Tips_Green\",\"Type\":\"System.String\"},\"23\":{\"Name\":\"SinceTestingDur\",\"Index\":-1,\"NameInSource\":\"SinceTestingDur\",\"Alias\":\"SinceTestingDur\",\"Type\":\"System.String\"},\"24\":{\"Name\":\"LastClassDur\",\"Index\":-1,\"NameInSource\":\"LastClassDur\",\"Alias\":\"LastClassDur\",\"Type\":\"System.Decimal\"},\"25\":{\"Name\":\"WorkNumber\",\"Index\":-1,\"NameInSource\":\"WorkNumber\",\"Alias\":\"WorkNumber\",\"Type\":\"System.String\"}},\"NameInSource\":\"Students.root\"}}},\"Pages\":{\"0\":{\"Ident\":\"StiPage\",\"Name\":\"Page1\",\"Guid\":\"31c4340a2398f01e9a7d41ac20026837\",\"Interaction\":{\"Ident\":\"StiInteraction\"},\"Border\":\";;2;;;;;solid:Black\",\"Brush\":\"solid:Transparent\",\"Components\":{\"0\":{\"Ident\":\"StiText\",\"Name\":\"Text1\",\"MinSize\":\"0,0\",\"MaxSize\":\"0,0\",\"ClientRectangle\":\"2.6,1.6,9.4,4.8\",\"Interaction\":{\"Ident\":\"StiInteraction\"},\"Text\":{\"Value\":\"Hello World!\"},\"Font\":\";28;;\",\"Border\":\";;;;;;;solid:Black\",\"Brush\":\"solid:Transparent\",\"TextBrush\":\"solid:Black\",\"Type\":\"Expression\"}},\"PageWidth\":21.01,\"PageHeight\":29.69,\"Watermark\":{\"TextBrush\":\"solid:50,0,0,0\"},\"Margins\":{\"Left\":1,\"Right\":1,\"Top\":1,\"Bottom\":1}}}}";
    report.load(jsonData);

    report.reportName = "Test report"; //reportData.Name;

    let viewer = new Stimulsoft.Viewer.StiViewer(null, 'StiViewer', false);
    viewer.report = report;
    viewer.renderHtml("viewer");

  }
}
